Package org.multiverse.api.functions

## Class LongFunction

- java.lang.Object
- - org.multiverse.api.functions.LongFunction

- All Implemented Interfaces:
    `Function<Long>`

      public abstract class LongFunction
      extends Object
      implements Function<Long>

  A `Function` for primitives that accepts an argument of type long and returns a new value of the same type.

  The reason why `LongFunction` is an abstract class instead of an ordinary interface, is that this class doesn't cause any unwanted boxing of primitives version of the call method is used instead of the one that accepts and returns a/an Long).

  This class is generated.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LongFunction()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract long` | `call​(long current)` | Calculates the new value based on the current value.
    `Long` | `call​(Long arg)` | Evaluates the function.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongFunction

          public LongFunction()

  - ### Method Detail

    - #### call

          public abstract long call​(long current)

      Calculates the new value based on the current value.
      Parameters:
        `current` - the current value.
      Returns:
        the new value.

    - #### call

          public final Long call​(Long arg)

      Description copied from interface: `Function`
      Evaluates the function.
      Specified by:
        `call` in interface `Function<Long>`
      Parameters:
        `arg` - the value to evaluate.
      Returns:
        the result of the evaluation